Subject: bug#20403: Antw: Re: bug#20403: Format of NEWS (navigating in it)

From: "Ulrich Windl" <[email-masked]>
Date: Mon, 04 Nov 2019 08:16:57 +0100

>>> Eli Zaretskii <[email-masked]> schrieb am 31.10.2019 um 15:43 in Nachricht
<[email-masked]>:
>>  Date: Thu, 31 Oct 2019 22:56:50 +1300
>> From: Phil Sainty <[email-masked]>
>> Cc: Ulrich Windl <[email-masked]‑regensburg.de>, [email-masked]

>> 
>> The change I'd actually like to see is for NEWS to just be a symlink
>> to the appropriate NEWS.xx file, which should exist under that name
>> from the outset of development on version xx.
> 
> That'd cause trouble when merging from the release branch.  Symlinks
> complicate VCS operations in general.

ChangeLog-like files, especially when being more or less chronological always
cause trouble when merging, as merge itself is rarely chronological.
But for the topic: Having some "user-level symbolic links" like "See
NEWS-1.2.3" that Emacs can parse could be helpful, so (as proposed) the actual
"NEWS" would just contain a notice what the current versioned NEWS file is.
periodically renaming NEWS files (archiving unversioned to versioned) is
probably a bad idea.

> 
> If we want a better NEWS, I'd suggest to introduce a new mode, which
> will inherit from Outline mode, but will support some sort of
> "include" directive.  Then we could have a NEWS file that just
> "include"d the versioned files, and Emacs would display their
> contents, perhaps given some user command to expand a given version's
> news.  As a bonus, this would let us have a single NEWS file, from
> user's POV, like other (smaller) projects do.

Hmm:? Minor-mode "include-view" that presents a (read-only) view of a document
with all includes expanded. Actual include syntax would be delegated to some
functions or REGEXes...